Package ru.bitel.bgbilling.modules.agr.common.service

# Interface AGRService

All Superinterfaces:
  `PaymentServiceProvider`

public interface AGRService extends PaymentServiceProvider
Интерфейс веб-сервиса платежного модуля AGR. Содержит методы, которые вызываются и из ЛК, и из клиентской части, и из executer'а

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkPayment(int contractId, PeriodWithTime period)`
  Проверка статуса транзакций путем отправки запрос в AGR.
  `List<IdTitle>`
  `getAgrPaymentSystemList()`
  Получение списка платежных систем, через которые AGR проводил оплату.
  `SearchResult<Transaction>`
  `searchTransactionList(SearchParam searchParam, String agrPaymentSystem)`
  Получение списка транзакций с возможностью фильтрации по договору, статусу, периоду.

  ### Methods inherited from interface ru.bitel.bgbilling.common.service.PaymentServiceProvider

  `autopaymentDeactivate, autopaymentGet, beginAutopaymentTransaction, beginTransaction, doManualAutopayment, endTransaction, getAutopaymentCurrentMode`

- ## Method Details

  - ### searchTransactionList

    SearchResult<Transaction> searchTransactionList(SearchParam searchParam, String agrPaymentSystem) throws ru.bitel.bgbilling.common.BGException
    Получение списка транзакций с возможностью фильтрации по договору, статусу, периоду.
    Parameters:
      `agrPaymentSystem` - платежная система, по которой проходили платежи через agr.
      `contractId` - код договора
      `contractTitle` - название договора
      `status` - числовой код статуса. (см. `TransactionStatus`
      `period` - период фильтрации транзакций.
    Returns:
      список транзакций.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### checkPayment

    void checkPayment(int contractId, PeriodWithTime period) throws ru.bitel.bgbilling.common.BGException
    Проверка статуса транзакций путем отправки запрос в AGR.
    Parameters:
      `contractId` - код договора. Если указано -1, то проверяются все платежи модуля, иначе - конкретного договора.
      `period` - период, за который необходимо выяснить статусы транзакций.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getAgrPaymentSystemList

    List<IdTitle> getAgrPaymentSystemList() throws ru.bitel.bgbilling.common.BGException
    Получение списка платежных систем, через которые AGR проводил оплату. Используется в фильтре платежей модуля.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`